// 判断是否是区
function testDistrict(current, isDistrict) {
  var _current$type, _current$type$include;
  if (typeof isDistrict === 'function') {
    return isDistrict(current);
  }
  if (current.isDistrict || (_current$type = current.type) !== null && _current$type !== void 0 && (_current$type$include = _current$type.includes) !== null && _current$type$include !== void 0 && _current$type$include.call(_current$type, 'district')) {
    return true;
  }
  if (!(current !== null && current !== void 0 && current.id)) return false;
  if (typeof (current === null || current === void 0 ? void 0 : current.id) === 'number') current.id = '' + current.id;
  return (window.districtIds || []).includes(current.id);
}
export default testDistrict;